<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="node_modules/siimple/dist/siimple.min.css">
  <link rel="stylesheet" href="node_modules/typicons.font/src/font/typicons.css">
  <link rel="stylesheet" href="style.css">
  <style>
    @font-face {
      font-family: 'typicons';
      src: url("node_modules/typicons.font/src/font/typicons.eot");
      src: url("node_modules/typicons.font/src/font/typicons.eot?#iefix") format('embedded-opentype'),
      url("node_modules/typicons.font/src/font/typicons.woff") format('woff'),
      url("node_modules/typicons.font/src/font/typicons.ttf") format('truetype'),
      url("node_modules/typicons.font/src/font/typicons.svg#typicons") format('svg');
      font-weight: normal;
      font-style: normal;
    }
  </style>
  <style>
    /* Set the size of the div element that contains the map */

    #map {
      /* height: 400px; */
      /* The height is 400 pixels */
      width: 100%;
      height: 86%;
      /* The width is the width of the web page */
    }
  </style>

  <title>KN Sample Detail</title>
</head>

<body>
  <div class="menu siimple-navbar siimple-navbar--extra-large siimple-navbar--primary">
    <a href="" class="siimple--float-left">
      <img style="vertical-align: top" src="assets/images/logobsnbsr.png" alt="Basarnas">
      <div class="siimple-navbar-title">Basarnas</div>
      <a class="siimple-navbar-subtitle">Home</a>
    </a>
    <div class="siimple--float-right">
      <div class="siimple-navbar-item">Input</div>
      <div class="siimple-navbar-item">Scheduling</div>
      <div class="siimple-navbar-item">Management</div>
      <div class="siimple-navbar-item">Report</div>
      <div class="siimple-navbar-item">
        <span id="menu-toggle" style="font-size: x-large" class="typcn typcn-point-of-interest"></span>
        <div id="menu-toggle-list" style="padding: 10px; right: 10px; width: 200px; z-index: 2; background-color: white; display: none; position: absolute;"
          class="siimple-menu">
          <div class="siimple-menu-group">Username admin</div>
          <a href="" class="siimple-menu-item">Profile</a>
          <a href="" class="siimple-menu-item">Sign out</a>
        </div>
      </div>
    </div>
  </div>
  <div id="map" class="siimple-content" style="background-color: cornflowerblue">
    <h1 class="siimple--text-center siimple--color-light">KN Sample Detail</h1>
    <div class="siimple-grid">
      <div class="siimple-grid-row">
        <div class="siimple-grid-col siimple-grid-col--4">
          <!-- Injecting radial gauge -->
          <canvas id="gauge-ps"></canvas>
        </div>
        <div class="siimple-grid-col siimple-grid-col--8" style="padding-top: 65px">
          <div class="siimple-table" style="width: 85%">
            <div class="siimple-table-header">
              <div class="siimple-table-row">
                <div class="siimple-table-cell">Header 1</div>
                <div class="siimple-table-cell">Header 2</div>
                <div class="siimple-table-cell">Header 3</div>
              </div>
            </div>
            <div class="siimple-table-body">
              <div class="siimple-table-row">
                <div class="siimple-table-cell">Cell 1</div>
                <div class="siimple-table-cell">Cell 2</div>
                <div class="siimple-table-cell">Cell 3</div>
              </div>
              <div class="siimple-table-row">
                <div class="siimple-table-cell">Cell 1</div>
                <div class="siimple-table-cell">Cell 2</div>
                <div class="siimple-table-cell">Cell 3</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <div style="padding-bottom: 15px; padding-top: 15px" class="siimple-footer siimple-footer--extra-large siimple-footer--dark">
    Supported by
    <strong class="siimple--float-right">
      &copy; 2018
      <a style="text-decoration: none; color: #4E91E4" href="http://www.indomegateknologi.com/web/public/">PT. IndoMega Teknologi</a>
    </strong>
  </div>


  <script src="./node_modules/canvas-gauges/gauge.min.js"></script>
  <script>
    var gaugePS = new RadialGauge({
      renderTo: 'gauge-ps',
      width: 350,
      height: 250,
      units: 'KM/h',
      minValue: 0,
      maxValue: 100,
      majorTicks: [
        '0',
        '20',
        '40',
        '60',
        '80',
        '100'
      ],
      minorTicks: 2,
      ticksAngle: 270,
      startAngle: 45,
      strokeTicks: true,
      highlights: [
        { from: 30, to: 65, color: 'rgba(78,   78, 76, 0.5)' },
        { from: 65, to: 100, color: 'rgba(225, 7, 23, 0.75)' }
      ],
      valueInt: 1,
      valueDec: 0,
      colorPlate: "#fff",
      colorMajorTicks: "#686868",
      colorMinorTicks: "#686868",
      colorTitle: "#000",
      colorUnits: "#000",
      colorNumbers: "#686868",
      valueBox: true,
      colorValueText: "#000",
      colorValueBoxRect: "#fff",
      colorValueBoxRectEnd: "#fff",
      colorValueBoxBackground: "#fff",
      colorValueBoxShadow: false,
      colorValueTextShadow: false,
      colorNeedleShadowUp: true,
      colorNeedleShadowDown: false,
      colorNeedle: "rgba(200, 50, 50, .75)",
      colorNeedleEnd: "rgba(200, 50, 50, .75)",
      colorNeedleCircleOuter: "rgba(200, 200, 200, 1)",
      colorNeedleCircleOuterEnd: "rgba(200, 200, 200, 1)",
      borderShadowWidth: 0,
      borders: true,
      borderInnerWidth: 0,
      borderMiddleWidth: 0,
      borderOuterWidth: 5,
      colorBorderOuter: "#fafafa",
      colorBorderOuterEnd: "#cdcdcd",
      needleType: "arrow",
      needleWidth: 2,
      needleCircleSize: 7,
      needleCircleOuter: true,
      needleCircleInner: false,
      animationDuration: 1500,
      animationRule: "dequint",
      fontNumbers: "Verdana",
      fontTitle: "Verdana",
      fontUnits: "Verdana",
      fontValue: "Led",
      fontValueStyle: 'italic',
      fontNumbersSize: 20,
      fontNumbersStyle: 'italic',
      fontNumbersWeight: 'bold',
      fontTitleSize: 24,
      fontUnitsSize: 22,
      fontValueSize: 50,
      animatedValue: true
    });
    gaugePS.draw();
    gaugePS.value = "0";

    if (gaugePS) {
      setInterval(() => {
        gaugePS.value = Math.round(Math.random() * 100)
      }, 1200)
    }

  </script>
</body>

</html>